package com.ai.ipu.dubbo.provider;

import org.springframework.context.support.ClassPathXmlApplicationContext;

public class DubboServiceProviderStart {
    public final static String MODE = "simple";
    public final static String DUBBO_PROVIDER_CONFIG = "dubbo-provider-" + MODE + ".xml";
    public final static String DUBBO_CONSUMER_CONFIG = "dubbo-consumer-" + MODE + ".xml";
    
    @SuppressWarnings("resource")
    public static void main(String[] args) throws Exception {
        ClassPathXmlApplicationContext context = new ClassPathXmlApplicationContext(
                new String[] {DUBBO_PROVIDER_CONFIG});
        context.start();
        System.in.read(); // press any key to exit
    }
}
