package com.ai.ipu.dubbo.provider;


import junit.framework.TestCase;

import org.springframework.context.support.ClassPathXmlApplicationContext;

public class HelloServiceTest extends TestCase {
    private ClassPathXmlApplicationContext context;

    @Override
    protected void setUp() throws Exception {
        context = new ClassPathXmlApplicationContext(new String[] { DubboServiceProviderStart.DUBBO_CONSUMER_CONFIG });
        context.start();
    }
    

    public void testHello() {
        HelloService helloService = (HelloService)context.getBean("helloService"); // 获取远程服务代理
        String result = helloService.hello("测试名称"); // 执行远程方法
        System.out.println(result); // 显示调用结果
    }
    
    public void testIHello() {
        IHelloService helloService = (IHelloService)context.getBean("iHelloService"); // 获取远程服务代理
        String result = helloService.hello("测试名称"); // 执行远程方法
        System.out.println(result); // 显示调用结果
    }
}
