package com.ai.ipu.service.consume;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;


@RestController
public class HelloController{
    
    @Autowired
    private HelloServiceClient helloServiceClient;

    @GetMapping("/hi")
    public String hi(@RequestParam(value = "name") String name) {
        return helloServiceClient.hello(name);
    }
    
}
